Autor Zpráva
Kubo2
Profil
DObrý, mám easy php 12.0, PHP modul niečo cez 5.* a a keď volám funkciu sqlite_open() aby som si vytvoril databázu, vypoisuje mi fatálny error že volám nedefinovanú funkciu. Ako to? EasyPHP nepodporuje SQLite?

(Fatal error: Call to undefined function sqlite_open() in C:\Program Files\EasyPHP-12.0\www\examples\comenty.php on line 3)
Rellik
Profil
Cituji ze stránek stahuj.centrum.cz - EasyPHP je balík obsahující Apache, PHP, MySQL a PHPMyAdmin... Takže tam není SQLite ale MySQL... ;)
Mike8748
Profil
Kubo2:
EasyPHP obsahuje pouze rozšíření Sqlite3, pokud chceš používat starší verzi SQLite 2 ( tedy fce jako sqlite_open) tak si budeš muset soubor s daným rozšířením ručně stáhnout z internetu a doplnit do souboru php.ini v EasyPHP instalaci PHP (je třeba stáhnout verzi rozšíření správně podle verze nainstalovaného PHP)
Kubo2
Profil
Mike8748:
obsahuje pouze rozšíření Sqlite3
A jak mám používat SQLite 3?
Joker
Profil
Kubo2:
To je takový problém si přečíst manuál?
Kubo2
Profil
Joker:
To je takový problém si přečíst manuál?
Nie, vôbec nie. Keď som si to prečítal a zistil že SQLite 3 je trieda, tak ma skoro porazilo. Triedam v PHP ešte toľko nerozumiem...
//edit: Tak asi sa naučím tie triedy. Ďakujem všetkým za rady.

Vaše odpověď

Mohlo by se hodit


Prosím používejte diakritiku a interpunkci.

Ochrana proti spamu. Napište prosím číslo dvě-sta čtyřicet-sedm: